QGIS Application - Bug report #14777
Integer64 fields not supported by several processing functions
2016-05-06 01:04 AM - Lene Fischer

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/QGIS

Affected QGIS version:2.14.2 Regression?: No
Operating System: Windows 64 bit Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 22734
Description

Using "Processing"> "Basic statistic for nummeric fields" and "Processing"> "Statistic by category" only fields with Integer (32bit) and
Decimal are available in the drop down "Fields to calculate on"

Integer64 (glonglong) fields are not shown.

Version 2.14.2/Windows 7-64 bit

Associated revisions

Revision f1e6d873 - 2016-05-09 10:43 AM - Alexander Bruy

[processing] add support for int64 fields (fix #14777)

Revision 64825b98 - 2016-05-12 03:32 PM - Alexander Bruy

[processing] add support for int64 fields (fix #14777)

(cherry picked from commit f1e6d8731b67b47ce44dc03c5e4d9b7dfe676a0f)

History

#1 - 2016-05-09 01:43 AM - Alexander Bruy
- Status changed from Open to Closed

Fixed in changeset commit:"f1e6d8731b67b47ce44dc03c5e4d9b7dfe676a0f".
